import { AfterContentInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { HttpClient } from '@angular/common/http';
export declare class NgxThreeoBpmnComponent implements AfterContentInit, OnChanges, OnDestroy {
    private http;
    private bpmnJS;
    private el;
    private importDone;
    private createEnded;
    private connectEnded;
    private elementClicked;
    xml: string;
    constructor(http: HttpClient);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    /**
     * Creates a Promise to import the given XML into the current
     * BpmnJS instance, then returns it as an Observable.
     *
     * @see https://github.com/bpmn-io/bpmn-js-callbacks-to-promises#importxml
     */
    private importDiagram;
    salvar(): Promise<any>;
    updateLabel(id: any, name: any): void;
    updateProperties(element: any, properties: any): void;
}
